Package Gnumed :: Package pycommon :: Module gmPG2 :: Class cConnectionPool |
[frames] | no frames]

# Class cConnectionPool

source code

                              object --+
                                       |
    psycopg2.pool.AbstractConnectionPool --+
                                           |
      psycopg2.pool.PersistentConnectionPool --+
                                               |
                                              cConnectionPool

GNUmed database connection pool.

Extends psycopg2's PersistentConnectionPool with a custom _connect() function. Supports one connection per thread - which also ties it to one particular DSN.

Instance Methods
shutdown(self) | source code
Inherited from `psycopg2.pool.PersistentConnectionPool`: `__init__`, `closeall`, `getconn`, `putconn` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`